[ubuntu-uk] libpath-class-perl 0.15-1 - again. And again. And...

I C McNab icmcnab at googlemail.com
Sun May 20 08:24:51 BST 2007


Robert McWilliam wrote:
> On Sat, 19 May 2007 18:11:54 +0100
> I C McNab <icmcnab at googlemail.com> wrote:
>> Unpacking replacement libpath-class-perl ...
>> Setting up libpath-class-perl (0.15-1) ...
>> and then it stops.  
> 
> Does it get to successfully applied?

Robert >>> Hard to say what's really happening.  There's no further 
output in the 'Details' screen to indicate that anything is actually 
being installed.  The Update Manager terminates with the usual 'Updates 
successfully applied' message;  but the package stays in the list of 
available updates.

> I've had a poke in the slim devices repository and the
> libpath-class-perl package there has the same version as the one from
> universe but is different which looks to be confusing apt. 
> 
> It looks like the version locking in synaptic is just using the
> version. Pinning in apt can be more complicated, including where the
> package comes from. 
> http://www.debian.org/doc/manuals/apt-howto/ch-apt-get.en.html#s-pin
> or 
> 'man apt_preferences'

    I'm very grateful for the trouble you're going to about this.  I'll 
look into pinning the package, as you suggest.  I also wondered whether 
to try uninstalling it, setting sources.list to use the Universe 
repository rather than slimdevice, and reinstalling the package from 
Universe.

    Thanks for your interest and advice.

--
Ian




More information about the ubuntu-uk mailing list